body.no-scroll {
  overflow: hidden;
  height: 100vh;
  touch-action: none;
}

/* Navbar */
.topbar{
  position: fixed;
  top: 0;
  z-index: 10;
  background-color: var(--white);
  max-height: 5rem;
  height: 100%;
  width: 100%;
  padding: 0 1.25rem;
}
.topbar-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: var(--small-size);
}
.brand-logo {
  max-height: 5rem;
  height: 100%;
  width: auto;
}
.hamburger, .x-mark {
  border: none;
  background: transparent;
  display: flex;
  align-items: center;
  cursor: pointer;
}
.hamburger i, .x-mark i {
  font-size: 1.75rem;
  color: black;
}

.nav-desktop {
  display: none;
}

.nav-mobile-container {
  background-color: var(--white);
  display: grid;
  grid-template-rows: auto 1fr;
  gap: var(--g2-gap);
  padding: 0 1.25rem;

  position: fixed;
  top: 0;
  right: 0;
  width: 65vw;
  height: 100vh;
  transform: translateX(100%);
  transition: transform 0.15s ease-in;
}
.nav-mobile-header {
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: right;
  border-bottom: 2px solid var(--grey);
}
.nav-mobile {
  display: grid;
}
.nav-mobile-container.open, .nav-mobile.open {
  display: block;
  position: fixed;
  z-index: 30;
  transform: translateX(0);
}
.nav-mobile .nav-link {
  display: block;
  padding: 0.85rem 0;
  font-size: var(--p-size);
  border-bottom: 2px solid var(--grey);
}
.nav-link {
  font-size: var(--small-size);
  font-weight: 600;
  color: var(--black);
}
.nav-link.active {
  color: var(--vivid-green);
}

.body-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--black);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.01s ease-in-out;
  z-index: 20;
}
.body-overlay.open {
  opacity: 0.4;
  visibility: visible;
}

/* Tablet */
@media (min-width: 768px) {
  .topbar{
    max-height: 6rem;
    padding: 0 2.5rem;
  }
  .nav-mobile-header {
    height: 6rem;
    padding: 0 2.5rem;
  }
  .brand-logo {
    max-height: 6rem;
  }
}

/* Laptop / Desktop */
@media (min-width: 1024px) {
  .hamburger{
    display: none
  }
  .nav-mobile {
    display: none !important;
  }

  .topbar {
    padding: 0 5rem;
  } 
  .topbar-inner {
    display: grid;
    grid-template-columns: auto 500px auto;
  }
  .nav-desktop {
    display: flex;
    align-items: center;
    justify-content: space-between; 
  }
  .nav-link {
    font-weight: 600;
  }
  .nav-link.active {
    color: var(--vivid-green);
  }
  .nav-link:hover {
    color: var(--vivid-green);
  }
  .nav-link-contact {
    background-color: var(--dark-green);
    color: var(--white);
    padding: 0.5rem 1.25rem;
    border: none;
    border-radius: var(--border-radius);
    transition: background-color 0.15s;
  }
  .nav-link-contact:hover {
    background-color: var(--light-dark-green);
    color: var(--white);
  }
  .nav-link-contact.active {
    background-color: var(--distant-green);
    border: 1px solid var(--dark-green);
    color: var(--dark-green);
  }
}